de.vc.jfo.rtf.listeners

## Class StylesheetDataSource

- java.lang.Object
- - de.vc.jfo.rtf.listeners.AbstractDataSource
  - - de.vc.jfo.rtf.listeners.SimpleDataSource
    - - de.vc.jfo.rtf.listeners.StylesheetDataSource

- All Implemented Interfaces:
    FieldListener

      public class StylesheetDataSource
      extends SimpleDataSource

  This field listener extends the simple data provider and adds methodes for registering xsl:value-of nodes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.vc.jfo.rtf.listeners.SimpleDataSource

      `SimpleDataSource.ActionDescriptor, SimpleDataSource.ValueDescriptor`

  - ### Field Summary

    - ### Fields inherited from interface de.vc.jfo.rtf.FieldListener

      `FIELD_FILLIN, FIELD_MERGEFIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StylesheetDataSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSelection(java.lang.String keyword, java.lang.String selection)` Sets a xsl:value-of node for a keyword.
    `void` | `setSelection(java.lang.String keyword, java.lang.String selection, boolean putInInline)` Sets a xsl:value-of node for a keyword.
    `void` | `wrapListItemInForEach(java.lang.String keyword, java.lang.String selection)`
    `void` | `wrapTableRowInForEach(java.lang.String keyword, java.lang.String selection)`

    - ### Methods inherited from class de.vc.jfo.rtf.listeners.SimpleDataSource

      `addActionWrapListItem, addActionWrapTableRow, getValue, hasValue, insertResult, isCloneIfNeccessary, isEmptyValue, listActions, removeActions, removeValue, setCloneIfNeccessary, setDocument, setDocumentContent, setEmptyValue, setListItems, setTableColumn, setValue`

    - ### Methods inherited from class de.vc.jfo.rtf.listeners.AbstractDataSource

      `fieldEncountered, handleUnpopulatedField, isCaseSensitiveKeywords, isEnableDateFormatting, isEnableNumberFormatting, isHighlightUnpopulatedFields, normalizeKey, setCaseSensitiveKeywords, setEnableDateFormatting, setEnableNumberFormatting, setHighlightUnpopulatedFields`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StylesheetDataSource

          public StylesheetDataSource()

  - ### Method Detail

    - #### setSelection

          public void setSelection(java.lang.String keyword,
                          java.lang.String selection)

      Sets a xsl:value-of node for a keyword. The xsl:value-of node is wrapped in an fo:inline.
      Parameters:
        `keyword` - Keyword of field.
        `selection` - Select-attribute of xsl:value-of node.

    - #### setSelection

          public void setSelection(java.lang.String keyword,
                          java.lang.String selection,
                          boolean putInInline)

      Sets a xsl:value-of node for a keyword.
      Parameters:
        `keyword` - Keyword of field.
        `selection` - Select-attribute of xsl:value-of node.
        `putInInline` - Wrap the xsl:value-of node into an fo:inline to preserve formatting properties.

    - #### wrapTableRowInForEach

          public void wrapTableRowInForEach(java.lang.String keyword,
                                   java.lang.String selection)

    - #### wrapListItemInForEach

          public void wrapListItemInForEach(java.lang.String keyword,
                                   java.lang.String selection)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.